System.ServiceModel 4.0.0.0 System.ServiceModel.Configuration.HttpBindingBaseElement To be added.

Specifies settings for the basic https binding element.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of class.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of class with specified name.

  The name.
- Property
  4.0.0.0
  System.Type To be added. To be added.

  Gets the type of the binding element.

- Method
  4.0.0.0
  System.Void `` To be added.

  Initializes the binding element using specified binding.

  The binding.
- Property
  4.0.0.0
  System.Configuration.ConfigurationProperty("messageEncoding", DefaultValue=Mono.Cecil.CustomAttributeArgument, Options=System.Configuration.ConfigurationPropertyOptions.None)
  System.ServiceModel.WSMessageEncoding To be added. To be added.

  Gets or sets the binding element message encoding.

- Method
  4.0.0.0
  System.Void `` To be added.

  Raises the apply configuration event.

  The binding.
- Property
  4.0.0.0
  System.Configuration.ConfigurationPropertyCollection To be added. To be added.

  Gets a collection of the binding element properties.

- Property
  4.0.0.0
  System.Configuration.ConfigurationProperty("security", Options=System.Configuration.ConfigurationPropertyOptions.None)
  System.ServiceModel.Configuration.BasicHttpsSecurityElement To be added. To be added.

  Gets the binding element security.